QtWebKit


7

के लिए प्लगइन कैसे स्थापित करें मैं एक क्यूटी 4.5 वाणिज्यिक स्नैपशॉट चला रहा हूं और अपने QWebView में डाउनलोड की गई प्लगइन का उपयोग करना चाहता हूं (यह एक .so फ़ाइल है)। क्या कोई विशिष्ट स्थान है जहां मुझे यह फ़ाइल रखने की आवश्यकता है? क्या मैं QWebPluginFactory का उपयोग कर इसे पकड़ सकता हूं?

+1

एक साल बाद और मुझे एक ही समस्या है। एडोब फ्लैश प्लगइन के साथ इस बार। 12 sep. 092009-09-12 01:21:12

0

क्या आपने मानक पुस्तकालय निर्देशिका डालने का प्रयास किया है? इसे लिंकर द्वारा उठाया जाना चाहिए यदि यह उन निर्देशिकाओं में से एक में है।

उदाहरण के लिए:

/lib/ 
/usr/lib/ 
/usr/share/lib/ 
/usr/local/lib/ 
  0

मैंने कोशिश की, लेकिन क्यूटी इसे नहीं उठाता है। मुझे नहीं लगता कि यह ऐसा कुछ है जिसे कोड में बनाया जाना है - जब मैं फ़ायरफ़ॉक्स के लिए प्लगइन जोड़ना चाहता हूं, उदाहरण के लिए, मैं बस .sozilla/plugins निर्देशिका में .so फ़ाइल छोड़ देता हूं और फ़ायरफ़ॉक्स इसे चुनता है चलने के समय पर। 25 aug. 082008-08-25 17:09:27


2

यदि आप एक वाणिज्यिक ग्राहक आप अपने पैसे की मांग की जानी चाहिए Trolltech (नोकिया) लोगों से सीधे समर्थन अर्जित किया।


0

क्या आपने अभी तक/usr/lib/qt4/plugins/या कहीं भी इसी तरह की तलाश करने की कोशिश की है? मुझे लगता है कि पथ शायद होगा जहां आपके पास 4.5 स्नैपशॉट सामग्री संकलित है, लेकिन इसमें विभिन्न चीजों के लिए प्लगइन डालने के विकल्प होना चाहिए।


9

मुझे लगता है कि यहां प्लगइन एनपीएपीआई प्लगइन (उदा। फ्लैश) है। X11 के तहत, QtWebKit प्लगइन के लिए कई सामान्य निर्देशिका खोजें। पूरी सूची के लिए, the documentation on Netscape plugin support देखें।

इसके अतिरिक्त, आपको QWebSettings :: के माध्यम से प्लगइन समर्थन सक्षम करना होगा। वैश्विक स्तर पर या अपने विशेष QWebView के लिए, WebAttribute::::PluginsEnabled के लिए प्रलेखन देखें।